Sign in to follow this  
vsg

RPG, Claymore, intermittent damage

Recommended Posts

Running the latest build from github. Installed with LGSM. No modification to server files. 

Players seem to randomly become immune to damage from RPG.

Claymores often get placed with no "red beams", and do not detect players.

 

 

I know this is highly vague, but where on earth do I start to debug this to gather more information. console logs show nothing relating to this.

Share this post


Link to post
Share on other sites

Fellow VSG Admin here - I just want to chime in on some more info. On the rest of our servers, we are running 17.7.2. I've linked the files that we are using. The issue still occurs with these files even with / without New experience running / installed. 

COD4X Files - Includes:COD4X_dedrun, libstdc++.so.6,Steamclient.so,Steam_api.so, Xbase_00.iwd

Console log

I'd like to say we appreciate any help with this because we've looked over pretty much everything that we know of and are just hitting our heads on brick walls at the moment. 

Thanks :)

Adam,

VSG Admin. 

Share this post


Link to post
Share on other sites
On 2/18/2019 at 3:00 AM, vsg said:

Players seem to randomly become immune to damage from RPG.

Claymores often get placed with no "red beams", and do not detect players.

other unmodded servers don't seem to have that issue. don't know what version LGSM is distributing, but you can find the latest version on this website.

 

Share this post


Link to post
Share on other sites

I just went into a couple of servers running the same version and it's fine. However, we installed it on a different VPS and we're getting the same issue.

Here's the issue - https://www.youtube.com/watch?v=5SP0TLq68VA

Everything is reporting fine in the console log - https://pastebin.com/ZRXyx0pm

Server Info -

Distro: Ubuntu 18.10
Arch:   x86_64
Kernel: 4.18.0-13-generic
Hostname:       ubuntu
tmux:   tmux 2.7
Avg Load:       0.28, 0.58, 0.65
Free Memory:    29GB
Free Disk:      1.6T
glibc required: 2.3

image.thumb.png.05d18893875f46ea90d4b61dadadb27e.png

Any ideas or how thought's on where to start to diagnose this?


 

 

**EDIT**

seems to be an 18.10 issue, installed on another VPS running 18.04 and exact same builds, works perfectly.

Edited by vsg

Share this post


Link to post
Share on other sites
16 hours ago, vsg said:

seems to be an 18.10 issue, installed on another VPS running 18.04 and exact same builds, works perfectly.

are you telling me ubuntu 18.04 LTS and ubuntu 18.10 are the reason you can/can't kill yourself with an RPG? because that sounds a little crazy.

Share this post


Link to post
Share on other sites
2 hours ago, dpj said:

are you telling me ubuntu 18.04 LTS and ubuntu 18.10 are the reason you can/can't kill yourself with an RPG? because that sounds a little crazy.

Honestly, we ran two VPS, exactly the same builds, only difference was 18.04LTS and 18.10

 

18.10 caused issues with claymores and RPGs, and also random not recreateable moments where guns couldn't kill.

 

18.04, no issues occurring.

 

Can only put it down to Ubuntu 18.10 tool chain updates? But this is way over my head.  I would be interested if someone else could recreate our test and see if they have similar results.

Share this post


Link to post
Share on other sites

You compile the server on both systems or use same binary on both systems? (I ask because you are asking about a toolchain)

Share this post


Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

Sign in to follow this